
.mobile-toggle {
    cursor: pointer;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    display: none;
    display: inline-block;
    font-size: 18px;
    vertical-align: middle;
    padding-top: 4px;
}

.mobile-menu-bg {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #000;
    z-index: 10000;
    opacity: 0;
    -webkit-transition: all ease 0.2s;
    transition: all ease 0.2s;
}

.mobile-menu-container {
    overflow: auto;
    z-index: 10001;
    position: fixed;
    top: -5px;
    left: -260px;
    bottom: 0;
    width: 260px;
    background: #1d2127;
    -webkit-transition: all ease 0.2s;
    transition: all ease 0.2s;
}

.mobile-menu-container a {
    color: white;
}

.mobile-menu-closer {
    z-index: 10001;
    position: fixed;
    cursor: pointer;
    top: 85px;
    left: -50px;
    width: 45px;
    height: 45px;
    background: #1d2127;
    text-align: center;
    line-height: 45px;
    font-size: 17px;
    font-weight: normal;
    -webkit-transition: all ease 0.2s;
    transition: all ease 0.2s;
}

.mobile-menu-closer:before {
    font-family: FontAwesome;
    content: "";
    color: white;
}

body.mobile-menu-open {
    overflow: hidden;
}

body.mobile-menu-open .mobile-menu-closer {
    left: 260px;
    display: block;
}

body.mobile-menu-open .mobile-menu-container {
    left: 0;
}

body.mobile-menu-open .mobile-menu-container .mobile-menu-closer {
    display: block;
}

body.mobile-menu-open .mobile-menu-bg {
    opacity: 0.35;
}

.mobile-menu {
    margin: 15px 0;
    padding: 0 10px;
}

.mobile-menu li.parent {
    position: relative;
}

.mobile-menu li.parent > ul {
    max-height: 1px;
    overflow: hidden;
    -webkit-transition: all ease-in 0.3s;
    transition: all ease-in 0.3s;
}

.mobile-menu li.parent.open > ul {
    max-height: 400px;
}

.mobile-menu li.parent.open > .opener:after {
    content: "";
}

.mobile-menu li.parent > .opener {
    cursor: pointer;
    text-align: center;
    position: absolute;
    width: 25px;
    height: 25px;
    line-height: 26px;
    right: 10px;
    top: 5px;
    font-family: FontAwesome;
    color: #d5d5d5;
}

.mobile-menu li.parent > .opener:after {
    content: "";
}

.mobile-menu li.parent > .opener:hover {
    background: #282d36;
}

.mobile-menu ul {
    padding-left: 15px;
}

.mobile-menu a {
    display: block;
    padding: 5px 6px;
    text-decoration: none;
    font-size: 14px;
    line-height: 25px;
}

.mobile-menu a:hover {
    background: #282d36;
}

.mobile-menu .star:before {
    content: "";
    font-family: FontAwesome;
    margin-right: 5px;
    font-size: 15px;
    color: red;
}